---
title: WorkerGlobalScope.location
slug: Web/API/WorkerGlobalScope/location
tags:
  - API
  - Location
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
---
<div>{{APIRef("Web Workers API")}}</div>

<p>The <code><strong>location</strong></code> read-only property of the {{domxref("WorkerGlobalScope")}} interface returns the {{domxref("WorkerLocation")}} associated with the worker. It is a specific location object, mostly a subset of the {{domxref("Location")}} for browsing scopes, but adapted to workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var locationObj = self.location;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("WorkerLocation")}} object.</p>

<h2 id="Example">Example</h2>

<p>If you called the following in a document served at <code>localhost:8000</code></p>

<pre class="brush: js">console.log(location);</pre>

<p>inside a worker (which would basically be the equivalent of <code>self.console.log(self.location);</code>, as these are being called on the worker scope, which can be referenced with {{domxref("WorkerGlobalScope.self")}}), you will get a {{domxref("WorkerLocation")}} object written to the console — something like the following:</p>

<pre class="brush: js">WorkerLocation {hash: "", search: "", pathname: "/worker.js", port: "8000", hostname: "localhost"…}
  hash: ""
  host: "localhost:8000"
  hostname: "localhost"
  href: "http://localhost:8000/worker.js"
  origin: "http://localhost:8000"
  pathname: "/worker.js"
  port: "8000"
  protocol: "http:"
  search: ""
  __proto__: WorkerLocation</pre>

<p>You could use this location object to return more information about the document's location, as you might do with a normal {{domxref("Location")}} object.</p>

<div class="note">
<p><strong>Note</strong>: Firefox has a bug with using <code>console.log</code> inside shared/service workers (see {{Bug("1058644")}}), which may return strange results, but this should be fixed soon.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-workerglobalscope-location', 'location')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.location")}}</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("WorkerGlobalScope")}}</p>
